Liferay.Loader.define("dynamic-data-mapping-form-report-web@1.0.29/js/components/card-shortcut/CardShortcut.es", ['module', 'exports', 'require', 'frontend-js-react-web$react', '../../utils/fieldTypes.es', '../sidebar/SidebarContext.es'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    function _typeof(obj) {
      "@babel/helpers - typeof";
      if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") {
        _typeof = function _typeof(obj) {
          return typeof obj;
        };
      } else {
        _typeof = function _typeof(obj) {
          return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj;
        };
      }return _typeof(obj);
    }

    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.default = void 0;

    var _react = _interopRequireWildcard(require("frontend-js-react-web$react"));

    var _fieldTypes = _interopRequireDefault(require("../../utils/fieldTypes.es"));

    var _SidebarContext = require("../sidebar/SidebarContext.es");

    function _interopRequireDefault(obj) {
      return obj && obj.__esModule ? obj : { default: obj };
    }

    function _getRequireWildcardCache() {
      if (typeof WeakMap !== "function") return null;var cache = new WeakMap();_getRequireWildcardCache = function _getRequireWildcardCache() {
        return cache;
      };return cache;
    }

    function _interopRequireWildcard(obj) {
      if (obj && obj.__esModule) {
        return obj;
      }if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") {
        return { default: obj };
      }var cache = _getRequireWildcardCache();if (cache && cache.has(obj)) {
        return cache.get(obj);
      }var newObj = {};var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor;for (var key in obj) {
        if (Object.prototype.hasOwnProperty.call(obj, key)) {
          var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null;if (desc && (desc.get || desc.set)) {
            Object.defineProperty(newObj, key, desc);
          } else {
            newObj[key] = obj[key];
          }
        }
      }newObj.default = obj;if (cache) {
        cache.set(obj, newObj);
      }return newObj;
    }

    function _slicedToArray(arr, i) {
      return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _nonIterableRest();
    }

    function _nonIterableRest() {
      throw new TypeError("Invalid attempt to destructure non-iterable instance");
    }

    function _iterableToArrayLimit(arr, i) {
      if (!(Symbol.iterator in Object(arr) || Object.prototype.toString.call(arr) === "[object Arguments]")) {
        return;
      }var _arr = [];var _n = true;var _d = false;var _e = undefined;try {
        for (var _i = arr[Symbol.iterator](), _s; !(_n = (_s = _i.next()).done); _n = true) {
          _arr.push(_s.value);if (i && _arr.length === i) break;
        }
      } catch (err) {
        _d = true;_e = err;
      } finally {
        try {
          if (!_n && _i["return"] != null) _i["return"]();
        } finally {
          if (_d) throw _e;
        }
      }return _arr;
    }

    function _arrayWithHoles(arr) {
      if (Array.isArray(arr)) return arr;
    }

    var MAX_FIELD_LABEL_LENGTH = 91;

    var _default = function _default(_ref) {
      var fields = _ref.fields;

      var _useState = (0, _react.useState)(),
          _useState2 = _slicedToArray(_useState, 2),
          itemSelectedIndex = _useState2[0],
          setItemSelectedIndex = _useState2[1];

      var _useContext = (0, _react.useContext)(_SidebarContext.SidebarContext),
          portletNamespace = _useContext.portletNamespace;

      var scrollToCard = function scrollToCard(portletNamespace, index) {
        var card = document.getElementById("".concat(portletNamespace, "card_").concat(index));

        if (card !== null) {
          card.scrollIntoView();
        }
      };

      var showFieldLabel = function showFieldLabel(label) {
        if (label.length > MAX_FIELD_LABEL_LENGTH) {
          return label.substr(0, MAX_FIELD_LABEL_LENGTH) + '...';
        }

        return label;
      };

      var shortcuts = fields.map(function (field, index) {
        if (Object.keys(_fieldTypes.default).includes(field.type)) {
          return (/*#__PURE__*/_react.default.createElement("li", {
              key: "card-item-".concat(index)
            }, /*#__PURE__*/_react.default.createElement("a", {
              className: "".concat(itemSelectedIndex == index ? 'selected' : ''),
              "data-senna-off": true,
              onClick: function onClick() {
                setItemSelectedIndex(index);
                scrollToCard(portletNamespace, index);
              }
            }, /*#__PURE__*/_react.default.createElement("div", {
              className: "indicator"
            }), /*#__PURE__*/_react.default.createElement("div", {
              className: "field-label"
            }, showFieldLabel(field.label))))
          );
        }
      });
      return (/*#__PURE__*/_react.default.createElement("ul", null, shortcuts)
      );
    };

    exports.default = _default;
    //# sourceMappingURL=CardShortcut.es.js.map
  }
});
//# sourceMappingURL=CardShortcut.es.js.map