Liferay.Loader.define("dynamic-data-mapping-form-report-web@1.0.29/js/components/sidebar/SidebarContext.es", ['module', 'exports', 'require', 'frontend-js-react-web$react', '../../hooks/useOnClickOutside.es'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    function _typeof(obj) {
      "@babel/helpers - typeof";
      if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") {
        _typeof = function _typeof(obj) {
          return typeof obj;
        };
      } else {
        _typeof = function _typeof(obj) {
          return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj;
        };
      }return _typeof(obj);
    }

    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.SidebarContextProvider = exports.SidebarContext = void 0;

    var _react = _interopRequireWildcard(require("frontend-js-react-web$react"));

    var _useOnClickOutside = _interopRequireDefault(require("../../hooks/useOnClickOutside.es"));

    function _interopRequireDefault(obj) {
      return obj && obj.__esModule ? obj : { default: obj };
    }

    function _getRequireWildcardCache() {
      if (typeof WeakMap !== "function") return null;var cache = new WeakMap();_getRequireWildcardCache = function _getRequireWildcardCache() {
        return cache;
      };return cache;
    }

    function _interopRequireWildcard(obj) {
      if (obj && obj.__esModule) {
        return obj;
      }if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") {
        return { default: obj };
      }var cache = _getRequireWildcardCache();if (cache && cache.has(obj)) {
        return cache.get(obj);
      }var newObj = {};var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor;for (var key in obj) {
        if (Object.prototype.hasOwnProperty.call(obj, key)) {
          var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null;if (desc && (desc.get || desc.set)) {
            Object.defineProperty(newObj, key, desc);
          } else {
            newObj[key] = obj[key];
          }
        }
      }newObj.default = obj;if (cache) {
        cache.set(obj, newObj);
      }return newObj;
    }

    function ownKeys(object, enumerableOnly) {
      var keys = Object.keys(object);if (Object.getOwnPropertySymbols) {
        var symbols = Object.getOwnPropertySymbols(object);if (enumerableOnly) symbols = symbols.filter(function (sym) {
          return Object.getOwnPropertyDescriptor(object, sym).enumerable;
        });keys.push.apply(keys, symbols);
      }return keys;
    }

    function _objectSpread(target) {
      for (var i = 1; i < arguments.length; i++) {
        var source = arguments[i] != null ? arguments[i] : {};if (i % 2) {
          ownKeys(Object(source), true).forEach(function (key) {
            _defineProperty(target, key, source[key]);
          });
        } else if (Object.getOwnPropertyDescriptors) {
          Object.defineProperties(target, Object.getOwnPropertyDescriptors(source));
        } else {
          ownKeys(Object(source)).forEach(function (key) {
            Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key));
          });
        }
      }return target;
    }

    function _defineProperty(obj, key, value) {
      if (key in obj) {
        Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true });
      } else {
        obj[key] = value;
      }return obj;
    }

    function _slicedToArray(arr, i) {
      return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _nonIterableRest();
    }

    function _nonIterableRest() {
      throw new TypeError("Invalid attempt to destructure non-iterable instance");
    }

    function _iterableToArrayLimit(arr, i) {
      if (!(Symbol.iterator in Object(arr) || Object.prototype.toString.call(arr) === "[object Arguments]")) {
        return;
      }var _arr = [];var _n = true;var _d = false;var _e = undefined;try {
        for (var _i = arr[Symbol.iterator](), _s; !(_n = (_s = _i.next()).done); _n = true) {
          _arr.push(_s.value);if (i && _arr.length === i) break;
        }
      } catch (err) {
        _d = true;_e = err;
      } finally {
        try {
          if (!_n && _i["return"] != null) _i["return"]();
        } finally {
          if (_d) throw _e;
        }
      }return _arr;
    }

    function _arrayWithHoles(arr) {
      if (Array.isArray(arr)) return arr;
    }

    var SidebarContext = /*#__PURE__*/(0, _react.createContext)({});
    exports.SidebarContext = SidebarContext;

    var SidebarContextProvider = function SidebarContextProvider(_ref) {
      var children = _ref.children,
          formReportRecordsFieldValuesURL = _ref.formReportRecordsFieldValuesURL,
          portletNamespace = _ref.portletNamespace;

      var _useState = (0, _react.useState)({
        field: null,
        isOpen: false,
        totalEntries: 0,
        type: null
      }),
          _useState2 = _slicedToArray(_useState, 2),
          sidebarState = _useState2[0],
          setSidebarState = _useState2[1];

      (0, _react.useEffect)(function () {
        var eventHandler = function eventHandler(_ref2) {
          var target = _ref2.target;

          if ((0, _useOnClickOutside.default)(target, '#' + portletNamespace + '-sidebar-reports', '#' + portletNamespace + '-see-more')) {
            setSidebarState(function () {
              return {
                isOpen: false
              };
            });
          }
        };

        window.addEventListener('click', eventHandler);
        return function () {
          return window.removeEventListener('click', eventHandler);
        };
      });

      return (/*#__PURE__*/_react.default.createElement(SidebarContext.Provider, {
          value: _objectSpread(_objectSpread({}, sidebarState), {}, {
            formReportRecordsFieldValuesURL: formReportRecordsFieldValuesURL,
            portletNamespace: portletNamespace,
            toggleSidebar: function toggleSidebar(field, summary, totalEntries, type) {
              var isOpen = field !== undefined;

              if (isOpen) {
                setSidebarState(function () {
                  return {
                    field: field,
                    isOpen: isOpen,
                    summary: summary,
                    totalEntries: totalEntries,
                    type: type
                  };
                });
              } else {
                setSidebarState(function () {
                  return _objectSpread(_objectSpread({}, sidebarState), {}, {
                    isOpen: isOpen
                  });
                });
              }
            }
          })
        }, children)
      );
    };

    exports.SidebarContextProvider = SidebarContextProvider;
    //# sourceMappingURL=SidebarContext.es.js.map
  }
});
//# sourceMappingURL=SidebarContext.es.js.map