<%--
/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */
--%>

<%@ include file="/init.jsp" %>

<%
DDMFormInstanceReport ddmFormInstanceReport = ddmFormReportDisplayContext.getDDMFormInstanceReport();

String ddmFormInstanceReportData = StringPool.BLANK;

if (ddmFormInstanceReport != null) {
	ddmFormInstanceReportData = ddmFormInstanceReport.getData();
}
%>

<div id="<portlet:namespace />report">
	<react:component
		module="js/index.es"
		props='<%=
			HashMapBuilder.<String, Object>put(
				"data", ddmFormInstanceReportData
			).put(
				"fields", ddmFormReportDisplayContext.getFieldsJSONArray()
			).put(
				"formReportRecordsFieldValuesURL", ddmFormReportDisplayContext.getFormReportRecordsFieldValuesURL()
			).put(
				"portletNamespace", PortalUtil.getPortletNamespace(DDMPortletKeys.DYNAMIC_DATA_MAPPING_FORM_REPORT)
			).build()
		%>'
	/>
</div>