Liferay.Loader.define("fragment-web@3.0.72/js/FragmentCompositionDropdownDefaultEventHandler.es", ['module', 'exports', 'require', 'frontend-js-web'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.default = void 0;

    var _frontendJsWeb = require("frontend-js-web");

    function _typeof(obj) {
      "@babel/helpers - typeof";
      if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") {
        _typeof = function _typeof(obj) {
          return typeof obj;
        };
      } else {
        _typeof = function _typeof(obj) {
          return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj;
        };
      }return _typeof(obj);
    }

    function _classCallCheck(instance, Constructor) {
      if (!(instance instanceof Constructor)) {
        throw new TypeError("Cannot call a class as a function");
      }
    }

    function _defineProperties(target, props) {
      for (var i = 0; i < props.length; i++) {
        var descriptor = props[i];descriptor.enumerable = descriptor.enumerable || false;descriptor.configurable = true;if ("value" in descriptor) descriptor.writable = true;Object.defineProperty(target, descriptor.key, descriptor);
      }
    }

    function _createClass(Constructor, protoProps, staticProps) {
      if (protoProps) _defineProperties(Constructor.prototype, protoProps);if (staticProps) _defineProperties(Constructor, staticProps);return Constructor;
    }

    function _possibleConstructorReturn(self, call) {
      if (call && (_typeof(call) === "object" || typeof call === "function")) {
        return call;
      }return _assertThisInitialized(self);
    }

    function _assertThisInitialized(self) {
      if (self === void 0) {
        throw new ReferenceError("this hasn't been initialised - super() hasn't been called");
      }return self;
    }

    function _getPrototypeOf(o) {
      _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) {
        return o.__proto__ || Object.getPrototypeOf(o);
      };return _getPrototypeOf(o);
    }

    function _inherits(subClass, superClass) {
      if (typeof superClass !== "function" && superClass !== null) {
        throw new TypeError("Super expression must either be null or a function");
      }subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } });if (superClass) _setPrototypeOf(subClass, superClass);
    }

    function _setPrototypeOf(o, p) {
      _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) {
        o.__proto__ = p;return o;
      };return _setPrototypeOf(o, p);
    }

    var FragmentCompositionDropdownDefaultEventHandler = /*#__PURE__*/function (_DefaultEventHandler) {
      _inherits(FragmentCompositionDropdownDefaultEventHandler, _DefaultEventHandler);

      function FragmentCompositionDropdownDefaultEventHandler() {
        _classCallCheck(this, FragmentCompositionDropdownDefaultEventHandler);

        return _possibleConstructorReturn(this, _getPrototypeOf(FragmentCompositionDropdownDefaultEventHandler).apply(this, arguments));
      }

      _createClass(FragmentCompositionDropdownDefaultEventHandler, [{
        key: "deleteFragmentComposition",
        value: function deleteFragmentComposition(itemData) {
          if (confirm(Liferay.Language.get('are-you-sure-you-want-to-delete-this'))) {
            this._send(itemData.deleteFragmentCompositionURL);
          }
        }
      }, {
        key: "deleteFragmentCompositionPreview",
        value: function deleteFragmentCompositionPreview(itemData) {
          this._send(itemData.deleteFragmentCompositionPreviewURL);
        }
      }, {
        key: "moveFragmentComposition",
        value: function moveFragmentComposition(itemData) {
          this._selectFragmentCollection(itemData.fragmentCompositionId, itemData.selectFragmentCollectionURL, itemData.moveFragmentCompositionURL);
        }
      }, {
        key: "renameFragmentComposition",
        value: function renameFragmentComposition(itemData) {
          (0, _frontendJsWeb.openSimpleInputModal)({
            dialogTitle: Liferay.Language.get('rename-fragment'),
            formSubmitURL: itemData.renameFragmentCompositionURL,
            idFieldName: 'id',
            idFieldValue: itemData.fragmentCompositionId,
            mainFieldLabel: Liferay.Language.get('name'),
            mainFieldName: 'name',
            mainFieldPlaceholder: Liferay.Language.get('name'),
            mainFieldValue: itemData.fragmentCompositionName,
            namespace: this.namespace,
            spritemap: this.spritemap
          });
        }
      }, {
        key: "updateFragmentCompositionPreview",
        value: function updateFragmentCompositionPreview(itemData) {
          var _this = this;

          (0, _frontendJsWeb.openSelectionModal)({
            onSelect: function onSelect(selectedItem) {
              if (selectedItem) {
                var itemValue = JSON.parse(selectedItem.value);
                _this.one('#fragmentCompositionId').value = itemData.fragmentCompositionId;
                _this.one('#fragmentCompositionFileEntryId').value = itemValue.fileEntryId;
                submitForm(_this.one('#fragmentCompositionPreviewFm'));
              }
            },
            selectEventName: this.ns('changePreview'),
            title: Liferay.Language.get('fragment-thumbnail'),
            url: itemData.itemSelectorURL
          });
        }
      }, {
        key: "_selectFragmentCollection",
        value: function _selectFragmentCollection(fragmentCompositionId, selectFragmentCollectionURL, targetFragmentCompositionURL) {
          var _this2 = this;

          (0, _frontendJsWeb.openSelectionModal)({
            id: this.ns('selectFragmentCollection'),
            onSelect: function onSelect(selectedItem) {
              if (selectedItem) {
                var form = _this2.one('#fragmentEntryFm');

                form.querySelector("#".concat(_this2.namespace, "fragmentCollectionId")).value = selectedItem.id;
                form.querySelector("#".concat(_this2.namespace, "fragmentCompositionId")).value = fragmentCompositionId;
                submitForm(form, targetFragmentCompositionURL);
              }
            },
            selectEventName: this.ns('selectFragmentCollection'),
            title: Liferay.Language.get('select-collection'),
            url: selectFragmentCollectionURL
          });
        }
      }, {
        key: "_send",
        value: function _send(url) {
          submitForm(document.hrefFm, url);
        }
      }]);

      return FragmentCompositionDropdownDefaultEventHandler;
    }(_frontendJsWeb.DefaultEventHandler);

    var _default = FragmentCompositionDropdownDefaultEventHandler;
    exports.default = _default;
    //# sourceMappingURL=FragmentCompositionDropdownDefaultEventHandler.es.js.map
  }
});
//# sourceMappingURL=FragmentCompositionDropdownDefaultEventHandler.es.js.map