Liferay.Loader.define("dynamic-data-mapping-form-report-web@1.0.29/js/App.es", ['module', 'exports', 'require', 'frontend-js-react-web$react', './components/card-shortcut/CardShortcut.es', './components/card/CardList.es', './components/sidebar/Sidebar.es', './components/sidebar/SidebarContext.es'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.default = void 0;

    var _react = _interopRequireDefault(require("frontend-js-react-web$react"));

    var _CardShortcut = _interopRequireDefault(require("./components/card-shortcut/CardShortcut.es"));

    var _CardList = _interopRequireDefault(require("./components/card/CardList.es"));

    var _Sidebar = _interopRequireDefault(require("./components/sidebar/Sidebar.es"));

    var _SidebarContext = require("./components/sidebar/SidebarContext.es");

    function _interopRequireDefault(obj) {
      return obj && obj.__esModule ? obj : { default: obj };
    }

    /**
     * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
     *
     * This library is free software; you can redistribute it and/or modify it under
     * the terms of the GNU Lesser General Public License as published by the Free
     * Software Foundation; either version 2.1 of the License, or (at your option)
     * any later version.
     *
     * This library is distributed in the hope that it will be useful, but WITHOUT
     * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
     * FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
     * details.
     */
    var _default = function _default(_ref) {
      var data = _ref.data,
          fields = _ref.fields,
          formReportRecordsFieldValuesURL = _ref.formReportRecordsFieldValuesURL,
          portletNamespace = _ref.portletNamespace;
      return (/*#__PURE__*/_react.default.createElement(_SidebarContext.SidebarContextProvider, {
          formReportRecordsFieldValuesURL: formReportRecordsFieldValuesURL,
          portletNamespace: portletNamespace
        }, /*#__PURE__*/_react.default.createElement("div", {
          className: "report-cards-area",
          key: "report-cards"
        }, /*#__PURE__*/_react.default.createElement(_CardList.default, {
          data: data,
          fields: fields
        })), /*#__PURE__*/_react.default.createElement("div", {
          className: "report-cards-shortcut",
          key: "report-cards-shortcut"
        }, /*#__PURE__*/_react.default.createElement(_CardShortcut.default, {
          fields: fields
        })), /*#__PURE__*/_react.default.createElement(_Sidebar.default, null))
      );
    };

    exports.default = _default;
    //# sourceMappingURL=App.es.js.map
  }
});
//# sourceMappingURL=App.es.js.map