Liferay.Loader.define('dynamic-data-mapping-form-report-web@1.0.29/js/utils/fieldTypes.es', ['module', 'exports', 'require'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.default = void 0;

    /**
     * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
     *
     * This library is free software; you can redistribute it and/or modify it under
     * the terms of the GNU Lesser General Public License as published by the Free
     * Software Foundation; either version 2.1 of the License, or (at your option)
     * any later version.
     *
     * This library is distributed in the hope that it will be useful, but WITHOUT
     * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
     * FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
     * details.
     */
    var _default = {
      checkbox_multiple: {
        icon: 'check-circle',
        title: Liferay.Language.get('checkbox-multiple-field-type-label')
      },
      color: {
        icon: 'color-picker',
        title: Liferay.Language.get('color-field-type-label')
      },
      date: {
        icon: 'calendar',
        title: Liferay.Language.get('date-field-type-label')
      },
      document_library: {
        icon: 'upload',
        title: Liferay.Language.get('upload')
      },
      grid: {
        icon: 'table2',
        title: Liferay.Language.get('grid-field-type-label')
      },
      image: {
        icon: 'picture',
        title: Liferay.Language.get('image')
      },
      numeric: {
        icon: 'integer',
        title: Liferay.Language.get('numeric-field-type-label')
      },
      radio: {
        icon: 'radio-button',
        title: Liferay.Language.get('radio-field-type-label')
      },
      select: {
        icon: 'list',
        title: Liferay.Language.get('select-field-type-label')
      },
      text: {
        icon: 'text',
        title: Liferay.Language.get('text-field-type-label')
      }
    };
    exports.default = _default;
    //# sourceMappingURL=fieldTypes.es.js.map
  }
});
//# sourceMappingURL=fieldTypes.es.js.map